import type { OpenId4VcSiopAcceptAuthorizationRequestOptions, OpenId4VcSiopResolvedAuthorizationRequest } from './OpenId4vcSiopHolderServiceOptions';
import type { AgentContext, EncodedX509Certificate } from '@credo-ts/core';
import type { AuthorizationResponsePayload } from '@sphereon/did-auth-siop';
import { DifPresentationExchangeService } from '@credo-ts/core';
export declare class OpenId4VcSiopHolderService {
    private presentationExchangeService;
    constructor(presentationExchangeService: DifPresentationExchangeService);
    resolveAuthorizationRequest(agentContext: AgentContext, requestJwtOrUri: string, trustedCertificates?: EncodedX509Certificate[]): Promise<OpenId4VcSiopResolvedAuthorizationRequest>;
    acceptAuthorizationRequest(agentContext: AgentContext, options: OpenId4VcSiopAcceptAuthorizationRequestOptions): Promise<{
        readonly ok: false;
        readonly serverResponse: {
            readonly status: number;
            readonly body: string | Record<string, unknown> | null;
        };
        readonly submittedResponse: AuthorizationResponsePayload;
        readonly redirectUri?: undefined;
        readonly presentationDuringIssuanceSession?: undefined;
    } | {
        readonly ok: true;
        readonly serverResponse: {
            readonly status: number;
            readonly body: Record<string, unknown>;
        };
        readonly submittedResponse: AuthorizationResponsePayload;
        readonly redirectUri: string | undefined;
        readonly presentationDuringIssuanceSession: string | undefined;
    }>;
    private getOpenIdProvider;
    private getOpenIdTokenIssuerFromVerifiablePresentation;
    private assertValidTokenIssuer;
    private encryptJarmResponse;
}
